## 1.0.0 (2023-02-15)


### :package: Build

* **deps-dev:** Bump cspell from 6.25.0 to 6.26.1 ([#2](https://github.com/flex-development/ext-regex/issues/2)) ([8f7aeb1](https://github.com/flex-development/ext-regex/commit/8f7aeb1045fd95965f3d7f9517fa829306d8736a))
* **deps-dev:** Bump typescript from 5.0.0-dev.20230214 to 5.0.0-dev.20230215 ([#1](https://github.com/flex-development/ext-regex/issues/1)) ([4952004](https://github.com/flex-development/ext-regex/commit/4952004c1db3ae5a22970013947ceaf4f2149f3f))


### :robot: Continuous Integration

* [[@dependabot](https://github.com/dependabot)] add config ([c7dfaab](https://github.com/flex-development/ext-regex/commit/c7dfaab6fec3eba06d486b11bd6d9f1280c5b3f6))
* **workflows:** [`ci`] upload coverage report to codecov ([d8fe2fb](https://github.com/flex-development/ext-regex/commit/d8fe2fb256564dda77a1cb2fac78804a709e3e21))


### :pencil: Documentation

* api ([126e1b2](https://github.com/flex-development/ext-regex/commit/126e1b2d7d8ab5d2629718efc567cf96f29a8819))
* interfaces ([c486c4a](https://github.com/flex-development/ext-regex/commit/c486c4a7274b1d92556431ee6ddd3631ed27b0b7))
* use ([c2a6597](https://github.com/flex-development/ext-regex/commit/c2a6597c9b3be0e5f18a8d5f57fe19ce7d458151))
* what is this? ([bf12c38](https://github.com/flex-development/ext-regex/commit/bf12c382238b3572de76234f925d966260f2265a))
* when should i use this? ([154a28f](https://github.com/flex-development/ext-regex/commit/154a28fb02ba4e2f6cf4bde023c7fec4a84a66e3))


### :sparkles: Features

* **interfaces:** `Options` ([60f0209](https://github.com/flex-development/ext-regex/commit/60f020960d32e768d96687e232d5458155affb9c))
* **internal:** `validateString` ([d84d88a](https://github.com/flex-development/ext-regex/commit/d84d88aa6cd18c5d07feb0f59f4af7bbaa4f2196))
* **regex:** `EXT_DTS_REGEX` ([fb00cbe](https://github.com/flex-development/ext-regex/commit/fb00cbec4cde35c7f001232dca93b087b2cae134))
* **regex:** `EXT_JS_REGEX` ([56cfd73](https://github.com/flex-development/ext-regex/commit/56cfd73df0e1972cbd652f3fe19cc8ca4f069feb))
* **regex:** `EXT_JSON_REGEX` ([d84e2c2](https://github.com/flex-development/ext-regex/commit/d84e2c2e72b1c439922c8f694261ebcbc6ba00bd))
* **regex:** `EXT_TS_REGEX` ([ca3df61](https://github.com/flex-development/ext-regex/commit/ca3df61030e8759da9d7ae74ad0f8fe738f82c51))
* **utils:** `extRegex` ([eb850cf](https://github.com/flex-development/ext-regex/commit/eb850cff64d86eadbcb238b3af7cae702b7ab405))


### :house_with_garden: Housekeeping

* **github:** add commit scope `interfaces` ([2a4f1b7](https://github.com/flex-development/ext-regex/commit/2a4f1b71fbbb5722800cd09425a8c62062a3570c))
* **tests:** [codecov] label critical files ([8e2432c](https://github.com/flex-development/ext-regex/commit/8e2432c3cfb9adfb5c725d120a1144096a11e69d))
* **tests:** codecov integration ([9c3dd8a](https://github.com/flex-development/ext-regex/commit/9c3dd8af84918cc294fcc522d515c9d2c50c4b6a))

