/**
 * @file Regular Expressions - EXT_JSON_REGEX
 * @module ext-regex/regex/json
 */
/**
 * JSON file extension regex.
 *
 * Supported extensions:
 *
 * - `.json`
 * - `.json5`
 * - `.jsonc`
 *
 * Named capturing groups:
 *
 * - `type`: Character after `'json'` in file extension
 *
 * @see https://regex101.com/r/YVxapd
 *
 * @const {RegExp} EXT_JSON_REGEX
 */
declare const EXT_JSON_REGEX: RegExp;
export default EXT_JSON_REGEX;
