import * as internal from "../internal/index.mjs";
import * as pathe from "@flex-development/pathe";
import { isNIL } from "@flex-development/tutils";
const extRegex = (ext, options = {}) => {
  const { flags } = options;
  internal.validateString(ext, "ext");
  !isNIL(flags) && internal.validateString(flags, "flags");
  const pattern = pathe.formatExt(ext.trim()).replace(/[$()*+.?[\\\]^{|}]/g, "\\$&").replace(/-/g, "\\x2d");
  return new RegExp(pattern + "(?=\\s*$)", flags == null ? void 0 : flags.trim());
};
var ext_regex_default = extRegex;
export {
  ext_regex_default as default
};
//# sourceMappingURL=ext-regex.mjs.map
